let contextPath = process.env.NODE_ENV === "production" ? "" : "/api";
let config = {
  init: function () {
  },
  title: "数据预定平台",
  companyInfo: "技术支持:大连易博特科技有限公司",
  logo: "./img/logo.png",
  embedHeader: null,
  context: {
    protocol: window.location.protocol,
    domain: document.domain,
    port: window.location.port,
    webSocketURL: `ws://${document.domain}:${window.location.port}${contextPath}/`
  },
  ajaxUrl: contextPath,
  tomeOut: 30000 * 2,
  needLogin: true, //需要登录校验
  loginToken: "cnetong_apps_entsvrplt_frontend",
  codeMap: {
    WrapType: "包装种类",
    EdocCode: "随附单据文件类别"
  },
  prefixs: {
    sysCodeList: "code:list",
    sysCodeTree: "code:tree",
    ajax: "ajax"
  },
  respCode: {
    success: "000000",
    failure: "000400",
    validat: "000300",
    timeout: "000100"
  }
};

export default config;
